#!/bin/bash

LOGF=/tmp/tsh-$UID.log

date >> $LOGF

SYS_LED_BRIGHTNESS=/sys/class/leds/touch-led/brightness

if [[ "$@" =~ "--init" ]]; then
    chmod 666  $SYS_LED_BRIGHTNESS
    echo 255 > $SYS_LED_BRIGHTNESS
    exit 0
fi

TOUCH_NODE=
find_touchnode() {
    DEVS=/dev/input/event*
    for d in $DEVS; do
        if udevadm info --query=property --name=$d | 
           grep ID_INPUT_TOUCHSCREEN=1 >/dev/null; then
            TOUCH_NODE=$d
            break
        fi
    done
}

find_touchnode
repeat=0
while [ -z "${TOUCH_NODE}" ] && [ $repeat -lt 60  ] ; do
    sleep 0.5
    find_touchnode
    let repeat++
done
echo TOUCH_NODE:$TOUCH_NODE >> $LOGF
if [ -z "${TOUCH_NODE}" ]; then
    exit
fi

TOUCH_ID=
for id in `xinput list --id-only`; do
    if xinput list-props $id |grep $TOUCH_NODE >/dev/null; then 
        TOUCH_ID=$id
        break
    fi
done
echo TOUCH_ID:$TOUCH_ID >> $LOGF

ENABLE_TOUCH=`xinput list-props $TOUCH_ID |awk -F: '/^\s+Device Enabled/{print $2}'|egrep -o '[0-9]+'`
#toggle
if [ "$ENABLE_TOUCH" == "1" ]; then
    ENABLE_TOUCH=0
    echo 0 > $SYS_LED_BRIGHTNESS
else
    ENABLE_TOUCH=1
    echo 255 > $SYS_LED_BRIGHTNESS
fi

xinput set-prop $TOUCH_ID "Device Enabled" $ENABLE_TOUCH

exit 0
